<div id="carousel-polling" class="carousel slide">*{data-ride="carousel"}*
    <div class="carousel-inner" role="listbox">
    #{list pollingForm, as:'pol'}
    <div class="item ${pol_index == 1 ? 'active' : ''}">
        #{if pol.status == 'published'}
        <div class="col-md-10">
            <h5>${pol.subjek}</h5>
        </div>

        <form class="form-horizontal">
            #{list pollingList, as:'pl'}
                #{if pl.polling_id == pol.id}
                    <div class="row">
                        <div class="col-md-10 col-md-offset-1">
                            <input type="hidden" name="pol_id" id="pol_id" value="${pl.polling_id}">
                            <div class="form-group">
                                <div class="radio">
                                    <label>
                                        <input type="radio" name="vote" value="${pl.id}">
                                    ${pl.pilihan_jawaban}
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                #{/if}
            #{/list}
            <div class="row">
                <div class="col-md-4 col-md-offset-8">
                    <button type="button" onclick="submitPolling(${pol.id})" class="btn btn-danger btn-sm btn-block">&{'memilih.label'}</button>
                </div>
            </div>
        </form>
        #{/if}
        </div>
    #{/list}
    </div>
    #{if pollingForm.size() > 1}
    <!-- Controls -->
    <a class="left carousel-control" href="#carousel-polling" role="button" data-slide="prev">
        <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
        <span class="sr-only">&{'sebelumnya.label'}</span>
    </a>
    <a class="right carousel-control" href="#carousel-polling" role="button" data-slide="next">
        <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
        <span class="sr-only">&{'berikutnya.label'}</span>
    </a>
    #{/if}
</div>

<script type="text/javascript">
    function submitPolling(polId){
        var polPilih = $("input[name=vote]:checked").val();
        $.ajax({
            url: '@{PublikCtr.submitPolling()}',
            data: {"polId": polId,"vote": polPilih},
            type: 'POST',
            success: function(res){
                if(res.result == 'ok')
                    $('#alert').html('<div class="alert alert-success"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Berhasil melakukan polling</div>').show().fadeOut(3000);
                else if(res.result == 'login')
                    $('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Anda harus Login terlebih dahulu</div>').show().fadeOut(3000);
                else if(res.result == 'exist')
                    $('#alert').html('<div class="alert alert-danger alert-dismissible"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Anda sudah melakukan polling</div>').show().fadeOut(3000);
                else if(res.result == 'empty')
                    $('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Anda belum memilih</div>').show().fadeOut(3000);
                else
                    $('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Terjadi Kesalahan, Gagal melakukan polling</div>').show().fadeOut(3000);
            },
            error: function(){
                $('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Terjadi Kesalahan, Gagal melakukan polling</div>').show().fadeOut(3000);
            }
        });
    }
</script>